Package org.apache.sling.jcr.oak.server.internal

## Class OakSlingRepository

- java.lang.Object
- - org.apache.sling.jcr.base.AbstractSlingRepository2
  - - org.apache.sling.jcr.oak.server.internal.OakSlingRepository

All Implemented Interfaces:
  `javax.jcr.Repository`, `org.apache.sling.jcr.api.SlingRepository`

    public class OakSlingRepository
    extends org.apache.sling.jcr.base.AbstractSlingRepository2

A Sling repository implementation that wraps the Oak OSGi repository implementation from the Oak project.

### Field Summary

### Fields inherited from interface javax.jcr.Repository

`IDENTIFIER_STABILITY, IDENTIFIER_STABILITY_INDEFINITE_DURATION, IDENTIFIER_STABILITY_METHOD_DURATION, IDENTIFIER_STABILITY_SAVE_DURATION, IDENTIFIER_STABILITY_SESSION_DURATION, LEVEL_1_SUPPORTED, LEVEL_2_SUPPORTED, NODE_TYPE_MANAGEMENT_AUTOCREATED_DEFINITIONS_SUPPORTED, NODE_TYPE_MANAGEMENT_INHERITANCE, NODE_TYPE_MANAGEMENT_INHERITANCE_MINIMAL, NODE_TYPE_MANAGEMENT_INHERITANCE_MULTIPLE, NODE_TYPE_MANAGEMENT_INHERITANCE_SINGLE, NODE_TYPE_MANAGEMENT_MULTIPLE_BINARY_PROPERTIES_SUPPORTED, NODE_TYPE_MANAGEMENT_MULTIVALUED_PROPERTIES_SUPPORTED, NODE_TYPE_MANAGEMENT_ORDERABLE_CHILD_NODES_SUPPORTED, NODE_TYPE_MANAGEMENT_OVERRIDES_SUPPORTED, NODE_TYPE_MANAGEMENT_PRIMARY_ITEM_NAME_SUPPORTED, NODE_TYPE_MANAGEMENT_PROPERTY_TYPES, NODE_TYPE_MANAGEMENT_RESIDUAL_DEFINITIONS_SUPPORTED, NODE_TYPE_MANAGEMENT_SAME_NAME_SIBLINGS_SUPPORTED, NODE_TYPE_MANAGEMENT_UPDATE_IN_USE_SUPORTED, NODE_TYPE_MANAGEMENT_VALUE_CONSTRAINTS_SUPPORTED, OPTION_ACCESS_CONTROL_SUPPORTED, OPTION_ACTIVITIES_SUPPORTED, OPTION_BASELINES_SUPPORTED, OPTION_JOURNALED_OBSERVATION_SUPPORTED, OPTION_LIFECYCLE_SUPPORTED, OPTION_LOCKING_SUPPORTED, OPTION_NODE_AND_PROPERTY_WITH_SAME_NAME_SUPPORTED, OPTION_NODE_TYPE_MANAGEMENT_SUPPORTED, OPTION_OBSERVATION_SUPPORTED, OPTION_QUERY_SQL_SUPPORTED, OPTION_RETENTION_SUPPORTED, OPTION_SHAREABLE_NODES_SUPPORTED, OPTION_SIMPLE_VERSIONING_SUPPORTED, OPTION_TRANSACTIONS_SUPPORTED, OPTION_UNFILED_CONTENT_SUPPORTED, OPTION_UPDATE_MIXIN_NODE_TYPES_SUPPORTED, OPTION_UPDATE_PRIMARY_NODE_TYPE_SUPPORTED, OPTION_VERSIONING_SUPPORTED, OPTION_WORKSPACE_MANAGEMENT_SUPPORTED, OPTION_XML_EXPORT_SUPPORTED, OPTION_XML_IMPORT_SUPPORTED, QUERY_FULL_TEXT_SEARCH_SUPPORTED, QUERY_JOINS, QUERY_JOINS_INNER, QUERY_JOINS_INNER_OUTER, QUERY_JOINS_NONE, QUERY_LANGUAGES, QUERY_STORED_QUERIES_SUPPORTED, QUERY_XPATH_DOC_ORDER, QUERY_XPATH_POS_INDEX, REP_NAME_DESC, REP_VENDOR_DESC, REP_VENDOR_URL_DESC, REP_VERSION_DESC, SPEC_NAME_DESC, SPEC_VERSION_DESC, WRITE_SUPPORTED`

### Constructor Summary

Constructors
`protected` `OakSlingRepository​(org.apache.sling.jcr.base.AbstractSlingRepositoryManager manager, org.osgi.framework.Bundle usingBundle, String adminId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected javax.jcr.Session` `createAdministrativeSession​(String workspace)`
`protected javax.jcr.Session` `createServiceSession​(Iterable<String> servicePrincipalNames, String workspaceName)`

### Methods inherited from class org.apache.sling.jcr.base.AbstractSlingRepository2

`createServiceSession, getDefaultWorkspace, getDescriptor, getDescriptorKeys, getDescriptorValue, getDescriptorValues, getRepository, getSlingRepositoryManager, impersonateFromService, isSingleValueDescriptor, isStandardDescriptor, login, login, login, login, loginAdministrative, loginService`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OakSlingRepository

    protected OakSlingRepository​(org.apache.sling.jcr.base.AbstractSlingRepositoryManager manager,
                                 org.osgi.framework.Bundle usingBundle,
                                 String adminId)

### Method Detail

#### createAdministrativeSession

    protected javax.jcr.Session createAdministrativeSession​(String workspace)
                                                     throws javax.jcr.RepositoryException

Specified by:
  `createAdministrativeSession` in class `org.apache.sling.jcr.base.AbstractSlingRepository2`
Throws:
  `javax.jcr.RepositoryException`

#### createServiceSession

    protected javax.jcr.Session createServiceSession​(Iterable<String> servicePrincipalNames,
                                                     String workspaceName)
                                              throws javax.jcr.RepositoryException

Overrides:
  `createServiceSession` in class `org.apache.sling.jcr.base.AbstractSlingRepository2`
Throws:
  `javax.jcr.RepositoryException`